"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _DlmsDataType = _interopRequireDefault(require("../enum/DlmsDataType"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class None {
  constructor() {
    this.tag = _DlmsDataType.default.NONE;
    this.totalBytes = 0;
    this.rawValue = [0];
    this.bodyBytes = [0];
    this.value = 0;
    this.totalBytes = this.rawValue.length;
  }
  getStandardLength() {
    return 1;
  }
  getValue() {
    return this.value;
  }
  insertData(data) {
    throw new Error("Method not implemented.");
  }
}
exports.default = None;