"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const MessageType = Object.freeze({
  UNKNOWN: 0,
  INFORMATION_REPORT: 0x18,
  DATA_NOTIFICATION: 0x0F,
  SET_REQUEST: 0xC1,
  SET_RESPONSE: 0xC5,
  ACTION_REQUEST: 0xC3,
  ACTION_RESPONSE: 0xC7,
  WRITE_REQUEST: 0x06,
  WRITE_RESPONSE: 0x0D,
  READ_REQUEST: 0x05,
  READ_RESPONSE: 0x0C,
  GET_REQUEST: 0xC0,
  GET_RESPONSE: 0xC4,
  UNCONFIRMED_WRITE_REQUEST: 0x16,
  GLOBAL_BLOCK_TRANSFER: 0xE0,
  MULTICAST_CONFIGURATION: 0xFF,
  ASSOCIATION_REQUEST: 0x60,
  ASSOCIATION_RESPONSE: 0x61,
  DISCONNECTED: 0xDD,
  TRANSPARENT_NIC_RESET: 0xEE
});
var _default = exports.default = MessageType;